#!/bin/sh

export HFCHOME=.
export HFCJAVA=/usr/java/default
export HFCWBEM=${HFCHOME}/sblim-cim-client2-2.1.12-bin
export HFCVMKEYSTORE=${HFCHOME}/VMware-Certs/vmware.keystore
export HFCVMSTUB=${HFCHOME}/VMware

export PATH=${HFCJAVA}/bin:${HFCAXIS}/bin:${PATH}
LOCALCLASSPATH=${PWD}:${HFCHOME}
LOCALCLASSPATH=${LOCALCLASSPATH}:${HFCWBEM}/lib/sblim-cim-client2-2.1.12.jar
LOCALCLASSPATH=${LOCALCLASSPATH}:${HFCVMSTUB}/vim25.jar
LOCALCLASSPATH=${LOCALCLASSPATH}:${HFCVMSTUB}/apputils.jar
LOCALCLASSPATH=${LOCALCLASSPATH}:${HFCHOME}/hfcvmutil.jar

exec ${HFCJAVA}/bin/java -classpath ${LOCALCLASSPATH} -Djavax.net.ssl.trustStore="${HFCVMKEYSTORE}" -Dcom.hitachi.hfc.vmutil.confpath="${HFCHOME}/" -Djava.util.logging.config.file="${HFCHOME}/javalog.properties" -Dsblim.wbem.cimxmlTracing="true" -Dsblim.wbem.httpChunking="false" -Dsblim.wbem.httpMPOST="false" -Dsblim.wbem.socketConnectWithTimeout="false" -Xmx1024M com.hitachi.hfc.vmutil.HFCVMUtil "$@" 2>"${HFCHOME}/log_stderr.txt"

